#![feature(round_char_boundary)]
#![feature(exit_status_error)]
use crate::init_tracing::init_telemetry;
use crate::init_tracing::shutdown_telemetry;
use compare::emacs_parse_org_document;
use compare::sexp;
mod compare;
mod init_tracing;

fn main() -> Result<(), Box<dyn std::error::Error>> {
    init_telemetry()?;
    let org_sexp = emacs_parse_org_document("./org_mode_samples/footnote_definition/simple.org")?;
    println!("{}", org_sexp);
    let parsed_sexp = sexp(org_sexp.as_str()).expect("Parse failure");
    println!("{:#?}", parsed_sexp);
    shutdown_telemetry()?;
    Ok(())
}
